<?php
final class IndexAction extends Action {
    /**
     * @var IndexDao
     */
    protected $dao = NULL;
    /**
     * @var IndexDto
     */
    protected $dto = NULL;
    public function __construct() {
    }
    /**
     * @return IndexDto
     */
    public function getDto() {
        return $this->dto;
    }
    public function index() {
        $this->dto->setTournaments($this->dao->selectTournament());
        $this->dto->setWinner($this->dao->selectWinner());
        $this->dto->setEntries($this->dao->selectEntries());
        return new Forward();
    }
}
// EOF.
